Method: projects.locations.reports.list

Lists reports within a given project.

HTTP request

GET https://appoptimize.googleapis.com/v1beta/{parent=projects/*/locations/*}/reports

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent project whose reports are to be listed.

Format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of reports to return. The service may return fewer than this value. If unspecified, the server will determine the number of results to return.

pageToken

string

Optional. A page token, received from a previous reports.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to reports.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for the reports.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "reports": [
    {
      object (Report)
    }
  ],
  "nextPageToken": string
}
Fields
reports[]

object (Report)

The list of reports.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is empty, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • appoptimize.reports.list

For more information, see the IAM documentation.